' This program is provided as Freeware for personal, educational
' and non-commercial use under a GNU General Public License.
'
' Written by Mike Perks (basicx@austin.rr.com), 2005
'
' Example IR decoder for Sony remote
' 
' This module is used to test the IR remote

Option Explicit
Option Strict On
Option TargetCPU ZX24

' *************************************************************
' Sub Main
' 
' Tests getting IR commands from queue
'**************************************************************
Public Sub Main()
	' initialize for the IR remote
    Call InitRemote()
	Debug.Print "Starting IR Test..."
	
	' starttime is used to "zero" the timer
	Dim startTime as Single
	startTime = Timer()
	
	Dim command as Byte
	Dim finished as Boolean
	
	' print out received IR command codes approximately every half second
	' until the "Stop" command is received
	Do
		' let other tasks run
		Call sleep(0.5)
		finished = false

		' get delta time since starting
		Dim clockTime as Single
		clockTime = Timer() - startTime
				
		' loop until no more command codes
		Do
			' get next command code
			command = GetIRCommand()			
			If command <> NoCommand Then
			
				' finish when the "Stop" button is pressed on the remote
				If command = Command_Stop Then
					finished = True
					Exit Do
				End If	

				' print out command4
				Debug.Print "Time: "; Fmt(clockTime,1); " Command: "; CStr(command)
						
			End If
		' keep going until no more commands	
		Loop Until command = NoCommand
		
		' keep going until finish is signaled
	Loop Until finished
	
	' finish using the IR remote
	Call ExitRemote()
	Debug.Print "IR Test complete"
End Sub
